<template>
  <div v-if="$store.state.player.history" :key="key">
    <b-row>
      <b-col>
        <ActivityChart :history="$store.state.player.history" />
      </b-col>
      <b-col>
        <WinLossChart :history="$store.state.player.history" />
      </b-col>
    </b-row>
    <b-row>
      <b-col md="6">
        <KarmaChart :history="$store.state.player.history" />
      </b-col>
      <b-col md="6">
        <CustomChart :history="$store.state.player.history" />
      </b-col>
    </b-row>
  </div>
</template>

<script>
import { mapActions, mapState } from 'vuex'
import ActivityChart from '@/components/charts/ActivityChart'
import WinLossChart from '@/components/charts/WinLossChart'
import KarmaChart from '@/components/charts/KarmaChart'
import CustomChart from '@/components/charts/CustomChart'

export default {
  name: 'ChartsWrapper',
  components: {
    ActivityChart,
    WinLossChart,
    KarmaChart,
    CustomChart
  },
  props: {
    uid: {
      required: true,
      type: Number
    }
  },
  computed: {
    ...mapState('player', ['history', 'player']),
    key () {
      return ((this.history || [])[0] || {}).uid
    }
  },
  mounted () {
    this.getHistory(this.uid)
  },
  methods: mapActions('player', ['getHistory'])
}
</script>
